import React from "react";
import { ListItem } from "../List";
import { AccordionItem } from "./AccordionItem";
export interface AccordionProps {
    /**
     * Element displayed when accordion is expanded.
     */
    children: React.ReactElement<typeof ListItem>[] | React.ReactElement<typeof AccordionItem> | React.ReactElement<typeof AccordionItem>[];
    /**
     * Elevation number, default set to 2
     */
    elevation?: number;
    /**
     * Append a class name
     */
    className?: string;
}
declare const Accordion: (props: AccordionProps) => React.JSX.Element;
export { Accordion };
