"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Accordion = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _react = _interopRequireDefault(require("react"));
var _List = require("../List");
var _Elevation = require("../Elevation");
var _emotion = require("emotion");
var _classnames = _interopRequireDefault(require("classnames"));
var _excluded = ["children", "elevation", "className"];
var _templateObject;
var listStyle = (0, _emotion.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    &.mdc-deprecated-list {\n        padding: 0;\n        &.mdc-deprecated-list--two-line .mdc-deprecated-list-item {\n            height: 48px;\n            padding: 8px 20px;\n        }\n    }\n"])));
var Accordion = exports.Accordion = function Accordion(props) {
  var children = props.children,
    _props$elevation = props.elevation,
    elevation = _props$elevation === void 0 ? 2 : _props$elevation,
    className = props.className,
    other = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/_react.default.createElement(_Elevation.Elevation, {
    z: elevation,
    className: (0, _classnames.default)("webiny-ui-accordion", className)
  }, /*#__PURE__*/_react.default.createElement(_List.List, Object.assign({
    twoLine: true,
    className: listStyle
  }, other), children));
};

//# sourceMappingURL=Accordion.js.map