import React from "react";
interface AccordionItemActionsProps {
    children: React.ReactNode;
}
export declare const AccordionItemActions: ({ children }: AccordionItemActionsProps) => React.JSX.Element;
export interface AccordionItemActionProps {
    icon: JSX.Element;
    onClick: () => void;
    tooltip?: string;
    disabled?: boolean;
}
export declare const AccordionItemAction: ({ icon, onClick, tooltip, disabled }: AccordionItemActionProps) => React.JSX.Element;
export interface AccordionItemElementProps {
    element: JSX.Element;
}
export declare const AccordionItemElement: ({ element }: AccordionItemElementProps) => React.JSX.Element;
export {};
