"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOptionValue = exports.getOptionText = exports.findInAliases = void 0;
var getOptionValue = exports.getOptionValue = function getOptionValue(option, props) {
  if (option) {
    return props.useSimpleValues ? option : option[props.valueProp];
  }
  return option;
};
var getOptionText = exports.getOptionText = function getOptionText(option, props) {
  if (option) {
    return props.useSimpleValues ? option : option[props.textProp];
  }
  return option;
};
var findInAliases = exports.findInAliases = function findInAliases(option, search) {
  return (option.aliases || []).some(function (alias) {
    return alias.toLowerCase().includes((search || "").toLowerCase());
  });
};

//# sourceMappingURL=utils.js.map