"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _nukaCarousel = _interopRequireDefault(require("nuka-carousel"));
var _pick = _interopRequireDefault(require("lodash/pick"));
var Carousel = /*#__PURE__*/function (_React$Component) {
  function Carousel() {
    (0, _classCallCheck2.default)(this, Carousel);
    return (0, _callSuper2.default)(this, Carousel, arguments);
  }
  (0, _inherits2.default)(Carousel, _React$Component);
  return (0, _createClass2.default)(Carousel, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react.default.createElement(_nukaCarousel.default, Object.assign({}, (0, _pick.default)(this.props, Carousel.nukaProps), this.props.renderPreviousSlide ? {
        renderCenterLeftControls: this.props.renderPreviousSlide
      } : {}, this.props.renderNextSlide ? {
        renderCenterRightControls: this.props.renderNextSlide
      } : {}, this.props.renderBottomNav ? {
        renderBottomCenterControls: this.props.renderBottomNav
      } : {}), this.props.children);
    }
  }]);
}(_react.default.Component);
(0, _defineProperty2.default)(Carousel, "defaultProps", {
  swiping: true,
  dragging: false,
  heightMode: "first",
  easing: "easeExpInOut"
});
(0, _defineProperty2.default)(Carousel, "nukaProps", ["children", "afterSlide", "autoplay", "autoplayInterval", "beforeSlide", "dragging", "easing", "heightMode", "pauseOnHover", "slideIndex", "speed", "swiping", "transitionMode"]);
var _default = exports.default = Carousel;

//# sourceMappingURL=Carousel.js.map