import React from "react";
import { ChipProps as RmwcChipProps } from "@rmwc/chip";
export interface ChipProps extends Omit<RmwcChipProps, "onRemove" | "trailingIcon"> {
    onRemove: (ev: React.MouseEvent<HTMLSpanElement>) => void;
    trailingIcon?: React.ReactNode;
}
export declare const Chip: (props: ChipProps) => React.JSX.Element;
