"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withConfirmation = void 0;
var _react = _interopRequireDefault(require("react"));
var _ConfirmationDialog = require("./ConfirmationDialog");
var withConfirmation = exports.withConfirmation = function withConfirmation(dialogProps) {
  return function (Component) {
    return function withConfirmationRender(ownProps) {
      var props = typeof dialogProps === "function" ? dialogProps(ownProps) : dialogProps;
      return /*#__PURE__*/_react.default.createElement(_ConfirmationDialog.ConfirmationDialog, props, function (_ref) {
        var showConfirmation = _ref.showConfirmation;
        return /*#__PURE__*/_react.default.createElement(Component, Object.assign({}, ownProps, {
          showConfirmation: showConfirmation
        }));
      });
    };
  };
};

//# sourceMappingURL=withConfirmation.js.map