"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GridInner = exports.Grid = exports.Cell = void 0;
var _react = _interopRequireDefault(require("react"));
var _grid = require("@rmwc/grid");
/**
 * Cell must be direct children of Grid component.
 */
var Cell = exports.Cell = function Cell(props) {
  return /*#__PURE__*/_react.default.createElement(_grid.GridCell, props, props.children);
};
var GridInner = exports.GridInner = function GridInner(props) {
  return /*#__PURE__*/_react.default.createElement(_grid.GridRow, props, props.children);
};
GridInner.displayName = "GridInner";

/**
 * Use Grid component to display a list of choices, once the handler is triggered.
 */
var Grid = exports.Grid = function Grid(props) {
  return /*#__PURE__*/_react.default.createElement(_grid.Grid, props, props.children);
};

//# sourceMappingURL=Grid.js.map