import React from "react";
import { BrowseFilesParams } from "react-butterfiles";
interface ImageProps {
    uploadImage: () => void;
    removeImage?: (value: string | null) => void;
    editImage?: (value: BrowseFilesParams | undefined) => void;
    value?: any;
    disabled?: boolean;
    loading?: boolean;
    placeholder: string;
    style?: React.CSSProperties;
    renderImagePreview?: (props: any) => React.ReactElement<any>;
    round?: boolean;
    containerStyle?: React.CSSProperties;
}
declare class Image extends React.Component<ImageProps> {
    static defaultProps: {
        placeholder: string;
        containerStyle: {
            height: string;
        };
    };
    renderBlank(): React.JSX.Element;
    renderImg(): React.JSX.Element;
    render(): React.JSX.Element;
}
export default Image;
