"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.webinyInputStyles = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _emotion = require("emotion");
var _templateObject;
/**
 * @type {string}
 */
var webinyInputStyles = exports.webinyInputStyles = (0, _emotion.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    //  fix label position when autofilled\n\n    .mdc-text-field__input:-webkit-autofill + .mdc-floating-label {\n        transform: translateY(-106%) scale(0.75);\n    }\n\n    .mdc-floating-label {\n        margin-left: 0 !important;\n    }\n\n    .mdc-text-field__input::-webkit-calendar-picker-indicator {\n        display: initial;\n    }\n\n    // medium input styles\n    &.webiny-ui-input--size-medium {\n        &.mdc-text-field {\n            height: 40px;\n            font-size: 0.85em;\n        }\n    }\n\n    // small input styles\n    &.webiny-ui-input--size-small {\n        &.mdc-text-field {\n            height: 30px;\n            font-size: 0.75em;\n        }\n    }\n\n    // textarea\n    &.mdc-text-field--textarea {\n        display: flex;\n        flex-direction: row;\n\n        &.mdc-text-field--with-trailing-icon {\n            padding-left: 0;\n            padding-right: 0;\n\n            .mdc-text-field__input {\n                padding-right: 0;\n            }\n        }\n    }\n"])));

//# sourceMappingURL=styled.js.map