"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataListModalOverlayProvider = exports.DataListModalOverlayContext = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireDefault(require("react"));
var DataListModalOverlayContext = exports.DataListModalOverlayContext = /*#__PURE__*/_react.default.createContext({
  isOpen: false,
  setIsOpen: function setIsOpen() {
    return void 0;
  }
});
var DataListModalOverlayProvider = exports.DataListModalOverlayProvider = function DataListModalOverlayProvider(_ref) {
  var children = _ref.children;
  var _React$useState = _react.default.useState(false),
    _React$useState2 = (0, _slicedToArray2.default)(_React$useState, 2),
    isOpen = _React$useState2[0],
    setIsOpen = _React$useState2[1];
  return /*#__PURE__*/_react.default.createElement(DataListModalOverlayContext.Provider, {
    value: {
      isOpen: isOpen,
      setIsOpen: setIsOpen
    }
  }, children);
};

//# sourceMappingURL=DataListModalOverlayContext.js.map