"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SortIcon = exports.RefreshIcon = exports.PreviousPageIcon = exports.OptionsIcon = exports.NextPageIcon = exports.FilterIcon = exports.EditIcon = exports.DeleteIcon = exports.CreateIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("../../../Button");
var _baselineAutorenew24px = require("./baseline-autorenew-24px.svg");
var _baselineEdit24px = require("./baseline-edit-24px.svg");
var _baselineDelete24px = require("./baseline-delete-24px.svg");
var _baselineSort24px = require("./baseline-sort-24px.svg");
var _filter_alt24px = require("./filter_alt-24px.svg");
var _baselineNavigate_before24px = require("./baseline-navigate_before-24px.svg");
var _baselineNavigate_next24px = require("./baseline-navigate_next-24px.svg");
var _baselineTune24px = require("./baseline-tune-24px.svg");
var RefreshIcon = exports.RefreshIcon = function RefreshIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineAutorenew24px.ReactComponent, null)
  }, props));
};
var DeleteIcon = exports.DeleteIcon = function DeleteIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineDelete24px.ReactComponent, null)
  }, props));
};
var CreateIcon = exports.CreateIcon = function CreateIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineEdit24px.ReactComponent, null)
  }, props));
};
var EditIcon = exports.EditIcon = function EditIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineEdit24px.ReactComponent, null)
  }, props));
};
var SortIcon = exports.SortIcon = function SortIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineSort24px.ReactComponent, null)
  }, props));
};
var FilterIcon = exports.FilterIcon = function FilterIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_filter_alt24px.ReactComponent, null)
  }, props));
};
var PreviousPageIcon = exports.PreviousPageIcon = function PreviousPageIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineNavigate_before24px.ReactComponent, null)
  }, props));
};
var NextPageIcon = exports.NextPageIcon = function NextPageIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineNavigate_next24px.ReactComponent, null)
  }, props));
};
var OptionsIcon = exports.OptionsIcon = function OptionsIcon(props) {
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, Object.assign({
    icon: /*#__PURE__*/_react.default.createElement(_baselineTune24px.ReactComponent, null)
  }, props));
};

//# sourceMappingURL=index.js.map