import React from "react";
import { FormComponentProps } from "../types";
type Props = FormComponentProps & {
    label?: string;
    disabled?: boolean;
    description?: string;
};
/**
 * Wrap Radio components with RadioGroup to create a set of options.
 * Each Radio component must receive value and onChange callback via props.
 */
declare class Radio extends React.Component<Props> {
    onChange: (e: React.SyntheticEvent<HTMLInputElement>) => void;
    render(): React.JSX.Element;
}
export default Radio;
