"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _radio = require("@rmwc/radio");
var _FormElementMessage = require("../FormElementMessage");
/**
 * Wrap Radio components with RadioGroup to create a set of options.
 * Each Radio component must receive value and onChange callback via props.
 */
var Radio = /*#__PURE__*/function (_React$Component) {
  function Radio() {
    var _this;
    (0, _classCallCheck2.default)(this, Radio);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = (0, _callSuper2.default)(this, Radio, [].concat(args));
    (0, _defineProperty2.default)(_this, "onChange", function (e) {
      _this.props.onChange && _this.props.onChange(e.target.checked);
    });
    return _this;
  }
  (0, _inherits2.default)(Radio, _React$Component);
  return (0, _createClass2.default)(Radio, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        label = _this$props.label,
        disabled = _this$props.disabled,
        description = _this$props.description,
        validation = _this$props.validation;
      var _ref = validation || {},
        validationIsValid = _ref.isValid,
        validationMessage = _ref.message;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_radio.Radio, {
        disabled: disabled,
        checked: Boolean(value),
        onChange: this.onChange,
        label: label
      }), validationIsValid === false && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, {
        error: true
      }, validationMessage), validationIsValid !== false && description && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, null, description));
    }
  }]);
}(_react.default.Component);
var _default = exports.default = Radio;

//# sourceMappingURL=Radio.js.map