"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _react = _interopRequireDefault(require("react"));
var _Radio = require("./Radio.styles");
var _FormElementMessage = require("../FormElementMessage");
var RadioGroup = /*#__PURE__*/function (_React$Component) {
  function RadioGroup() {
    (0, _classCallCheck2.default)(this, RadioGroup);
    return (0, _callSuper2.default)(this, RadioGroup, arguments);
  }
  (0, _inherits2.default)(RadioGroup, _React$Component);
  return (0, _createClass2.default)(RadioGroup, [{
    key: "render",
    value: function render() {
      var _this = this;
      var _this$props = this.props,
        description = _this$props.description,
        label = _this$props.label,
        validation = _this$props.validation;
      var _ref = validation || {},
        validationIsValid = _ref.isValid,
        validationMessage = _ref.message;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, label && /*#__PURE__*/_react.default.createElement("div", {
        className: "mdc-text-field-helper-text mdc-text-field-helper-text--persistent " + _Radio.webinyRadioTitle
      }, label), this.props.children({
        onChange: function onChange(value) {
          return function () {
            return _this.props.onChange && _this.props.onChange(value);
          };
        },
        getValue: function getValue(id) {
          return _this.props.value === id;
        }
      }), validationIsValid === false && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, {
        error: true
      }, validationMessage), validationIsValid !== false && description && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, null, description));
    }
  }]);
}(_react.default.Component);
var _default = exports.default = RadioGroup;

//# sourceMappingURL=RadioGroup.js.map