"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Ripple = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _ripple = require("@rmwc/ripple");
/**
 * Use Ripple component to display a list of choices, once the handler is triggered.
 */
var Ripple = exports.Ripple = function Ripple(props) {
  // Let's pass "unbounded" / "primary" / "accent" flags as "type" prop instead.
  var type = props.type || "surface";
  return /*#__PURE__*/_react.default.createElement(_ripple.Ripple, Object.assign({}, (0, _defineProperty2.default)({}, type, true), props), props.children);
};

//# sourceMappingURL=Ripple.js.map