"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.webinySelect = exports.noLabel = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _emotion = require("emotion");
var _templateObject, _templateObject2;
/**
 * @type {string}
 */
var webinySelect = exports.webinySelect = (0, _emotion.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n    display: grid;\n    background-color: transparent;\n    border-color: transparent;\n    color: var(--webiny-theme-color-primary);\n    width: 100%;\n\n    .rmwc-select__native-control {\n        opacity: 0;\n        position: absolute;\n        top: 0;\n        bottom: 0;\n        left: 0;\n        right: 0;\n    }\n\n    > .mdc-select__anchor {\n        width: auto !important;\n    }\n\n    &.webiny-ui-select--size-medium {\n        &.mdc-select,\n        .mdc-select__anchor {\n            height: 40px;\n            .mdc-select__selected-text {\n                font-size: 0.95rem;\n            }\n        }\n    }\n\n    &.webiny-ui-select--size-small {\n        &.mdc-select,\n        .mdc-select__anchor {\n            height: 30px;\n            .mdc-select__native-control {\n                padding-top: 0;\n            }\n            .mdc-select__selected-text {\n                font-size: 0.9rem;\n            }\n        }\n    }\n"])));

/**
 * @type {string}
 */
var noLabel = exports.noLabel = (0, _emotion.css)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n    &.mdc-select {\n        height: 35px;\n        .mdc-select__native-control {\n            padding-top: 0;\n        }\n    &.mdc-select--box {\n        .mdc-select__native-control {\n            height: 35px;\n            padding-top: 5px;\n        }\n    }\n"])));

//# sourceMappingURL=styled.js.map