import React from "react";
import { FormComponentProps } from "../types";
type Props = FormComponentProps & {
    label?: string;
    disabled?: boolean;
    description?: string;
    min: number | string;
    max: number | string;
    step?: number | string;
    discrete?: boolean;
    displayMarkers?: boolean;
    onInput?: (value: any) => void;
    readOnly?: boolean;
};
/**
 * Slider component lets users choose a value from given range.
 */
declare class Slider extends React.Component<Props> {
    onChange: (e: {
        detail: {
            value: number;
        };
    }) => void;
    onInput: (e: {
        detail: {
            value: number;
        };
    }) => void;
    render(): React.JSX.Element;
}
export default Slider;
