import React from "react";
import { SnackbarAction, SnackbarProps } from "@rmwc/snackbar";
type Props = SnackbarProps;
/**
 * Use Snackbar component to display an informative or alert message and allow users to act upon it.
 */
declare class Snackbar extends React.Component<Props> {
    readonly container: HTMLElement | null;
    constructor(props: Props);
    render(): React.ReactElement;
}
export { Snackbar, SnackbarAction };
