import React from "react";
import { SwitchProps } from "@rmwc/switch";
import { FormComponentProps } from "../types";
type Props = Omit<SwitchProps, "value"> & FormComponentProps<boolean> & {
    description?: string;
    className?: string;
};
/**
 * Switch component can be used to store simple boolean values.
 */
declare class Switch extends React.Component<Props> {
    static rmwcProps: string[];
    render(): React.JSX.Element;
}
export { Switch };
