"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Switch = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _switch = require("@rmwc/switch");
var _pick = _interopRequireDefault(require("lodash/pick"));
var _FormElementMessage = require("../FormElementMessage");
var _Helpers = require("../Helpers");
/**
 * Switch component can be used to store simple boolean values.
 */
var Switch = exports.Switch = /*#__PURE__*/function (_React$Component) {
  function Switch() {
    (0, _classCallCheck2.default)(this, Switch);
    return (0, _callSuper2.default)(this, Switch, arguments);
  }
  (0, _inherits2.default)(Switch, _React$Component);
  return (0, _createClass2.default)(Switch, [{
    key: "render",
    value: function render() {
      var _this = this;
      var _this$props = this.props,
        value = _this$props.value,
        description = _this$props.description,
        validation = _this$props.validation;
      var _ref = validation || {},
        validationIsValid = _ref.isValid,
        validationMessage = _ref.message;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_switch.Switch, Object.assign({}, (0, _Helpers.getClasses)((0, _objectSpread2.default)({}, (0, _pick.default)(this.props, Switch.rmwcProps)), "webiny-ui-switch"), {
        checked: Boolean(value),
        onClick: function onClick() {
          return _this.props.onChange && _this.props.onChange(!value);
        }
      })), validationIsValid === false && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, {
        error: true
      }, validationMessage), validationIsValid !== false && description && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, null, description));
    }
  }]);
}(_react.default.Component);
(0, _defineProperty2.default)(Switch, "rmwcProps", ["id", "disabled", "checked", "label", "rootProps", "className"]);

//# sourceMappingURL=Switch.js.map