"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tooltip = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _rcTooltip = _interopRequireDefault(require("rc-tooltip"));
require("rc-tooltip/assets/bootstrap_white.css");
require("./style.scss");
/**
 * Use Tooltip component to display a list of choices, once the handler is triggered.
 */
var Tooltip = exports.Tooltip = /*#__PURE__*/function (_React$Component) {
  function Tooltip() {
    var _this;
    (0, _classCallCheck2.default)(this, Tooltip);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = (0, _callSuper2.default)(this, Tooltip, [].concat(args));
    (0, _defineProperty2.default)(_this, "state", {
      tooltipIsOpen: false
    });
    (0, _defineProperty2.default)(_this, "onVisibleChange", function (visible) {
      _this.setState({
        tooltipIsOpen: visible || false
      });
    });
    return _this;
  }
  (0, _inherits2.default)(Tooltip, _React$Component);
  return (0, _createClass2.default)(Tooltip, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react.default.createElement(_rcTooltip.default, Object.assign({
        animation: "fade",
        onVisibleChange: this.onVisibleChange,
        overlay: this.props.content
      }, this.props), /*#__PURE__*/_react.default.createElement("span", {
        className: "webiny-ui-tooltip tooltip-content-wrapper"
      }, this.props.children));
    }
  }]);
}(_react.default.Component);

//# sourceMappingURL=Tooltip.js.map