import React from "react";
import nprogress from "nprogress";
import "./style.scss";
export interface TopProgressBarRender {
    start: () => void;
    finish: () => void;
    nprogress: typeof nprogress;
}
export interface TopProgressBarProps {
    /**
     * Elements that require top loading bar to be shown.
     */
    children: (params: TopProgressBarRender) => React.ReactElement;
}
export declare const TopProgressBar: (props: TopProgressBarProps) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
