export interface FormComponentProps<TValue = any> {
    validation?: {
        isValid: boolean | null;
        message?: string;
        results?: {
            [key: string]: any;
        };
    };
    validate?: () => Promise<boolean | any>;
    value?: TValue;
    onChange?: (value: TValue) => void;
}
