import React from "react";
export type AlertType = "success" | "info" | "warning" | "danger";
export interface AlertProps {
    title: string;
    type: AlertType;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
/**
 * Use Alert component to display user's avatar.
 */
declare const Alert: (props: AlertProps) => React.JSX.Element;
export { Alert };
