import React from "react";
import { CarouselProps, CarouselRenderControl } from "nuka-carousel";
interface Props extends CarouselProps {
    children: React.ReactNode;
    renderNextSlide?: CarouselRenderControl | null;
    renderPreviousSlide?: CarouselRenderControl | null;
    renderBottomNav?: CarouselRenderControl | null;
}
declare class Carousel extends React.Component<Props> {
    static defaultProps: {
        swiping: boolean;
        dragging: boolean;
        heightMode: string;
        easing: string;
    };
    static nukaProps: string[];
    render(): React.JSX.Element;
}
export default Carousel;
