import React from "react";
import { FormComponentProps } from "./../types";
export interface ChildrenRenderProp {
    onChange: (id: string | number) => () => void;
    getValue: (id: string | number) => boolean;
}
type Props = FormComponentProps & {
    label?: string;
    description?: string;
    children: (props: ChildrenRenderProp) => React.ReactNode;
};
declare class CheckboxGroup extends React.Component<Props> {
    render(): React.JSX.Element;
}
export default CheckboxGroup;
