"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _react = _interopRequireDefault(require("react"));
var _Checkbox = require("./Checkbox.styles");
var _FormElementMessage = require("../FormElementMessage");
var CheckboxGroup = /*#__PURE__*/function (_React$Component) {
  function CheckboxGroup() {
    (0, _classCallCheck2.default)(this, CheckboxGroup);
    return (0, _callSuper2.default)(this, CheckboxGroup, arguments);
  }
  (0, _inherits2.default)(CheckboxGroup, _React$Component);
  return (0, _createClass2.default)(CheckboxGroup, [{
    key: "render",
    value: function render() {
      var _this = this;
      var _this$props = this.props,
        description = _this$props.description,
        label = _this$props.label,
        _this$props$validatio = _this$props.validation,
        validation = _this$props$validatio === void 0 ? {
          isValid: null,
          message: null
        } : _this$props$validatio;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, label && /*#__PURE__*/_react.default.createElement("div", {
        className: "mdc-text-field-helper-text mdc-text-field-helper-text--persistent " + _Checkbox.webinyCheckboxTitle
      }, label), this.props.children({
        onChange: function onChange(value) {
          return function () {
            var values = Array.isArray(_this.props.value) ? (0, _toConsumableArray2.default)(_this.props.value) : [];
            var index = values.indexOf(value);
            if (index > -1) {
              values.splice(index, 1);
            } else {
              values.push(value);
            }
            _this.props.onChange && _this.props.onChange(values);
          };
        },
        getValue: function getValue(id) {
          var values = Array.isArray(_this.props.value) ? _this.props.value : [];
          return values.includes(id);
        }
      }), validation.isValid === false && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, {
        error: true
      }, validation.message), validation.isValid !== false && description && /*#__PURE__*/_react.default.createElement(_FormElementMessage.FormElementMessage, null, description));
    }
  }]);
}(_react.default.Component);
var _default = exports.default = CheckboxGroup;

//# sourceMappingURL=CheckboxGroup.js.map