import React from "react";
import { Chip } from "./Chip";
export interface ChipsProps {
    /**
     * Chips to show
     */
    children?: React.ReactElement<typeof Chip> | React.ReactElement<typeof Chip>[];
    /**
     * Is chip disabled?
     */
    disabled?: boolean;
    /**
     * CSS class name
     */
    className?: string;
    /**
     * Style object.
     */
    style?: React.CSSProperties;
}
export declare const Chips: (props: ChipsProps) => React.JSX.Element;
