"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Chips = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _chip = require("@rmwc/chip");
var _styles = require("./styles");
var _excluded = ["children", "className", "disabled"];
var Chips = exports.Chips = function Chips(props) {
  var children = props.children,
    className = props.className,
    disabled = props.disabled,
    rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/_react.default.createElement(_chip.ChipSet, Object.assign({}, rest, {
    className: (0, _classnames.default)("mdc-evolution-chip-set", className, _styles.chipIconWrapper, (0, _defineProperty2.default)({}, _styles.disabledChips, disabled))
  }), children);
};

//# sourceMappingURL=Chips.js.map