import React from "react";
import { FormComponentProps } from "../types";
import "brace/mode/html";
import "brace/mode/json";
import "brace/ext/searchbox";
import "brace/theme/github";
import "brace/theme/twilight";
import "brace/theme/chrome";
interface Props extends FormComponentProps {
    mode: string;
    theme: string;
    readOnly?: boolean;
    description?: React.ReactNode;
}
/**
 * CodeEditor component can be used to store simple boolean values.
 */
declare class CodeEditor extends React.Component<Props> {
    onChange: (value: string) => void;
    render(): React.JSX.Element;
}
export { CodeEditor };
