import React from "react";
type ConfirmationProps = {
    title?: React.ReactNode;
    message?: React.ReactNode;
};
type WithConfirmationParams = (props: Record<string, any>) => ConfirmationProps;
export type WithConfirmationProps = {
    showConfirmation: (confirm: () => void, cancel: () => void) => void;
};
export declare const withConfirmation: (dialogProps: WithConfirmationParams) => (Component: typeof React.Component) => (ownProps: Record<string, any>) => React.JSX.Element;
export {};
