import React from "react";
export type ElevationProps = {
    children?: React.ReactNode;
    z: number;
    transition?: boolean;
    className?: string;
    style?: React.CSSProperties;
};
/**
 * Elevation component visually raises any content by applying shadow.
 */
declare const Elevation: React.ForwardRefExoticComponent<ElevationProps & React.RefAttributes<any>>;
export { Elevation };
