import React from "react";
export type IconProps = {
    /**
     * SvgComponent containing the svg icon
     */
    icon: React.ReactElement;
    /**
     * Optional onclick handler
     */
    onClick?: (value: any) => void;
    /**
     * CSS class to be added to the icon
     */
    className?: string;
    "data-testid"?: string;
};
/**
 * Use Icon component to display an icon.
 */
declare const Icon: (props: IconProps) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
export { Icon };
