"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;
var _react = _interopRequireDefault(require("react"));
var _emotion = require("emotion");
var _classnames = _interopRequireDefault(require("classnames"));
var webinyIcon = (0, _emotion.css)({}, {
  "&.mdc-button__icon": {
    marginLeft: 0,
    width: "inherit",
    display: "block"
  }
});

/**
 * Use Icon component to display an icon.
 */
var Icon = exports.Icon = function Icon(props) {
  return /*#__PURE__*/_react.default.cloneElement(props.icon, {
    "data-testid": props["data-testid"],
    className: (0, _classnames.default)("mdc-button__icon webiny-ui-icon", webinyIcon, props.className),
    onClick: props.onClick
  });
};

//# sourceMappingURL=Icon.js.map