"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DataListModalOverlayAction = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _Button = require("../../../Button");
var _DataListModalOverlayContext = require("./DataListModalOverlayContext");
var _excluded = ["icon"];
var DataListModalOverlayAction = exports.DataListModalOverlayAction = function DataListModalOverlayAction(_ref) {
  var icon = _ref.icon,
    rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var _useContext = (0, _react.useContext)(_DataListModalOverlayContext.DataListModalOverlayContext),
    isOpen = _useContext.isOpen,
    setIsOpen = _useContext.setIsOpen;
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, {
    "data-testid": rest["data-testid"],
    icon: icon,
    onClick: function onClick() {
      return setIsOpen(!isOpen);
    }
  });
};

//# sourceMappingURL=DataListModalOverlayAction.js.map