"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Mosaic = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactColumned = _interopRequireDefault(require("react-columned"));
/**
 * Package react-columned does not have types.
 */
// @ts-expect-error

var Mosaic = exports.Mosaic = function Mosaic(props) {
  var children = props.children,
    _props$columns = props.columns,
    columns = _props$columns === void 0 ? {
      320: 1,
      480: 2,
      800: 3,
      1366: 4
    } : _props$columns,
    className = props.className;
  return /*#__PURE__*/_react.default.createElement(_reactColumned.default, {
    columns: columns,
    className: className
  }, children);
};

//# sourceMappingURL=Mosaic.js.map