import React from "react";
import { FormComponentProps } from "../types";
interface RadioGroupRenderParams {
    onChange: (id: string | number) => () => void;
    getValue: (id: string | number) => boolean;
}
type Props = FormComponentProps & {
    label?: string;
    description?: string;
    children: (props: RadioGroupRenderParams) => React.ReactNode;
};
declare class RadioGroup extends React.Component<Props> {
    render(): React.JSX.Element;
}
export default RadioGroup;
