"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Skeleton = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _reactLoadingSkeleton = _interopRequireWildcard(require("react-loading-skeleton"));
require("react-loading-skeleton/dist/skeleton.css");
var _excluded = ["theme"];
var Skeleton = exports.Skeleton = function Skeleton(_ref) {
  var theme = _ref.theme,
    props = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  return /*#__PURE__*/_react.default.createElement(_reactLoadingSkeleton.SkeletonTheme, {
    baseColor: theme === "dark" ? "var(--mdc-theme-on-background)" : "var(--mdc-theme-background)",
    highlightColor: theme === "dark" ? "var(--mdc-theme-background)" : "var(--mdc-theme-surface)"
  }, /*#__PURE__*/_react.default.createElement(_reactLoadingSkeleton.default, props));
};

//# sourceMappingURL=Skeleton.js.map