"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Snackbar = void 0;
Object.defineProperty(exports, "SnackbarAction", {
  enumerable: true,
  get: function get() {
    return _snackbar.SnackbarAction;
  }
});
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _callSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/callSuper"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _reactDom = _interopRequireDefault(require("react-dom"));
var _snackbar = require("@rmwc/snackbar");
/**
 * Use Snackbar component to display an informative or alert message and allow users to act upon it.
 */
var Snackbar = exports.Snackbar = /*#__PURE__*/function (_React$Component) {
  function Snackbar(props) {
    var _this;
    (0, _classCallCheck2.default)(this, Snackbar);
    _this = (0, _callSuper2.default)(this, Snackbar, [props]);
    (0, _defineProperty2.default)(_this, "container", null);
    _this.container = document.getElementById("snackbar-container");
    if (!_this.container) {
      _this.container = document.createElement("div");
      _this.container.setAttribute("id", "snackbar-container");
      var container = _this.container;
      document.body && document.body.appendChild(container);
    }
    return _this;
  }
  (0, _inherits2.default)(Snackbar, _React$Component);
  return (0, _createClass2.default)(Snackbar, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_reactDom.default.createPortal(/*#__PURE__*/_react.default.createElement(_snackbar.Snackbar, this.props), this.container);
    }
  }]);
}(_react.default.Component);

//# sourceMappingURL=Snackbar.js.map