import React from "react";
import { TabProps as RmwcTabProps } from "@rmwc/tabs";
export type TabProps = RmwcTabProps & {
    visible?: boolean;
    tag?: string;
    /**
     * Is tab disabled?
     */
    disabled?: boolean;
    /**
     * Style object
     */
    style?: React.CSSProperties;
    /**
     * Tab ID for the testing.
     */
    "data-testid"?: string;
};
export declare const Tab: React.MemoExoticComponent<(props: TabProps) => null>;
