"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tab = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _react = _interopRequireWildcard(require("react"));
var _generateId = require("@webiny/utils/generateId");
var _Tabs = require("./Tabs");
var Tab = exports.Tab = /*#__PURE__*/_react.default.memo(function (props) {
  var tabsContext = (0, _react.useContext)(_Tabs.TabsContext);
  var idRef = (0, _react.useRef)((0, _generateId.generateAlphaNumericId)(12));
  (0, _react.useEffect)(function () {
    tabsContext.addTab((0, _objectSpread2.default)((0, _objectSpread2.default)({}, props), {}, {
      id: idRef.current,
      visible: props.visible ?? true
    }));
  }, [props]);
  (0, _react.useEffect)(function () {
    return function () {
      return tabsContext.removeTab(idRef.current);
    };
  }, []);
  return null;
});
Tab.displayName = "Tab";

//# sourceMappingURL=Tab.js.map