import React from "react";
import { TypographyProps as RmwcTypographyProps } from "@rmwc/typography";
interface TypographyProps extends RmwcTypographyProps {
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    tag?: string;
}
/**
 * Use Ripple component to display a list of choices, once the handler is triggered.
 */
declare const Typography: (props: TypographyProps) => React.JSX.Element;
export { Typography, TypographyProps };
